I2C_ADD_ADAPTER(9)

NAME
i2c_add_adapter - declare i2c adapter, use dynamic bus number

SYNOPSIS

int i2c_add_adapter(struct i2c_adapter * adapter);

ARGUMENTS

adapter
    the adapter to add

CONTEXT

can sleep

DESCRIPTION

This routine is used to declare an I2C adapter when its bus number doesn't matter or when its bus number is specified by an dt alias. Examples of bases when the bus number doesn't matter: I2C adapters dynamically added by USB links or PCI plugin cards.

When this returns zero, a new bus number was allocated and stored in adap->nr, and the specified adapter became available for clients. Otherwise, a negative errno value is returned.

COPYRIGHT